﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
//to read sql library
using System.Data.SqlClient;

namespace SaveAndRetrieveSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initialize all classes
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();

        private void Form1_Load(object sender, EventArgs e)
        {
            //connection between sql server to c#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=cruddb;trusted_connection=true;";
        }

        private void btnsave_Click(object sender, EventArgs e)
        {
            try
            {
                //opening connection
                con.Open();
                //create an insert query;
            string    query = "INSERT INTO tbluser (NAME,UNAME,PASS,UROLE) VALUES('" + txtname.Text + "','" + txtuname.Text + "','" + txtpass.Text + "','" + cboRole.Text + "')";
                //it holds the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //execute the data.
            int    result = cmd.ExecuteNonQuery();
                //validate if the result of the executed query.
                if (result > 0)
                {
                    MessageBox.Show("Data has been saved in the SQL database"); 
                }
                else
                {
                    MessageBox.Show("SQL QUERY ERROR");
                }
                //closing connection
                con.Close();

            }
            catch (Exception ex)//catch exeption
            {
                //displaying error message.
                MessageBox.Show(ex.Message);
            }
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            try
            {
                con.Open();
                //create a query for retrieving data in the database.
             string   query = "SELECT ID as 'Id',NAME as 'Name',UNAME as 'Username', UROLE as 'Role'  FROM tbluser";
                //initialize new Sql commands
                cmd = new SqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new SqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);
                //set the data that to be display in the datagridview
                dataGridView1.DataSource = dt;
                
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();
                con.Close();
            }
        }

       
    }
}
